How to make an iOS 10 iPhone App

Part 1 – The design before Xcode

Here at Analystik, we have done a case study for the creation of an iPhone application using the Xcode development environment. We searched online and couldn’t find a good step by step tutorial of the process, so we decided to create one for you. Here it is ! At first, this part concentrates on the early stages before you get into Xcode, so these steps are the same for an iPhone, Android or Windows (with some differences in the exportation of files).
(more…)

Gulp & Visual Studio

Visual Studio is one of the most popular software to create application or website in .Net environment. This software supports Sass and Less but it doesn’t compile those two languages making them complicated and useless.

In the new version (Visual Studio 2015), Intellisense has not been fixed and still has difficulties to make links between Sass and Less file types.

Even so, the new version of Visual Studio offers some new features that help us with these problems.

(more…)

How to use Gulp on Mac Windows & Linux

Gulp plugin is a task runner. For example, you can easily: transform your Sass (or Less) files in css files, minify them, using autoprefixer, join them in 1 files, check your JavaScript files with jsLint and much more. If you code a little bit it can be really useful. It is one of my favourite tools for my web site development and it is totally free. It might be a little frightening at the beginning but with some practice and courage, it is easier than it looks.

(more…)

Install Odoo 9 on Ubuntu 14.04 LTS

Install Odoo 9 on Ubuntu 14.04 LTS

Install Odoo 9 on Ubuntu

Install Odoo 9 on Ubuntu

You might have tried and failed to install Odoo 9 on Ubuntu server. The installation fails because python-ofxparse is missing in the package installer. This is why you face this error message:

The following packages have unmet dependencies:
odoo: Depends: python-ofxparse but it is not installable
Recommends: antiwrd but it is not going to be installed
Recommends: PostgreSQL but it is not going to be installed
Recommends: python-gevent but it is not going to be installed
E: Unable to correct problems, you have held broken packages. (more…)